- NAME
- SYNOPSIS
- OPTIONS

# NAME

rt-setup-database - Set up RT's database

# SYNOPSIS

        rt-setup-database --action ...

# OPTIONS

action

  Several actions can be combined using comma separated list.

  init

    Initialize the database. This is combination of multiple actions listed below. Create DB, schema, setup acl, insert core data and initial data.

  upgrade

    Apply all needed schema/acl/content updates (will ask for version to upgrade from)

  create

    Create the database.

  drop

    Drop the database. This will ERASE ALL YOUR DATA.

  schema

    Initialize only the database schema

    To use a local or supplementary datafile, specify it using the '--datadir' option below.

  acl

    Initialize only the database ACLs

    To use a local or supplementary datafile, specify it using the '--datadir' option below.

  coredata

    Insert data into RT's database. This data is required for normal functioning of any RT instance.

  insert

    Insert data into RT's database. By default, will use RT's installation data. To use a local or supplementary datafile, specify it using the '--datafile' option below.

datafile

  file path of the data you want to action on

  e.g. `--datafile /path/to/datafile`

datadir

  Used to specify a path to find the local database schema and acls to be installed.

  e.g. `--datadir /path/to/`

dba

  dba's username

dba-password

  dba's password

prompt-for-dba-password

  Ask for the database administrator's password interactively

skip-create

  for 'init': skip creating the database and the user account, so we don't need administrator privileges

root-password-file

  for 'init' and 'insert': rather than using the default administrative password for RT's "root" user, use the password in this file.

upgrade-from

  for 'upgrade': specifies the version to upgrade from, and do not prompt for it if it appears to be a valid version.

upgrade-to

  for 'upgrade': specifies the version to upgrade to, and do not prompt for it if it appears to be a valid version.

← Back to index